# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------


def load_arguments(self, _):
    from knack.arguments import ArgumentsContext

    with ArgumentsContext(self, 'login') as arg_context:
        arg_context.argument(
            'controller_username',
            options_list=('--controller-username', '-u'),
            help='Account user. If you do not want to use this arg, you may set the '
                 'environment variable CONTROLLER_USERNAME.'
        )
        arg_context.argument(
            'controller_endpoint',
            options_list=('--controller-endpoint', '-e'),
            help='Cluster controller endpoint "https://host:port". If you do not want to use this arg, you may use the '
                 'kube config on your machine. Please ensure the config is located at the default location of '
                 '<user home>/.kube/config or use the KUBECONFIG env var.'
        )
        arg_context.argument(
            'cluster_name',
            options_list=('--cluster-name', '-n'),
            help='Cluster name.'
        )
        arg_context.argument(
            'accept_eula',
            options_list=('--accept-eula', '-a'),
            help='Do you accept the license terms? [yes/no]. If you do not want to use this arg, '
                 'you may set the environment variable ACCEPT_EULA to \'yes\'. The license terms for this product '
                 'can be viewed at https://aka.ms/azdata-eula.'
        )
