# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

"""
Entry or launch point for the CLI.

Handles creating and launching the CLI to handle a user commands.
"""

from mssqlctl.cli.core import cli
import sys


def launch():
    """
    Entry point for the CLI.

    Configures and invokes the CLI with arguments passed during the time the
    python session was initiated.
    """

    try:

        exit_code = cli().invoke(sys.argv[1:])
        sys.exit(exit_code)
    except KeyboardInterrupt:
        sys.exit(1)
    finally:
        pass
